Subject: Re: [PATCH] ci(*-leaks): skip the git-svn tests to save time

From: Phillip Wood <[email-masked]>
Date: Tue, 20 Jan 2026 10:31:27 +0000

On 18/01/2026 00:35, Junio C Hamano wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
> 
>> On Sat, Jan 17, 2026, at 19:34, Junio C Hamano wrote:
>>>> [snip]
>>> Yup, I generally like this direction, and introducing NO_P4_TESTS
>>> and NO_CVS_TESTS would not be so bad.  Here is how it looks on top
>>> of Dscho's patch.
>>>
>>> --- >8 ---
>>> Subject: [PATCH] ci: skip CVS and P4 tests in leaks job, too
>>>
>>> Looking at the CI logs, the p4 and cvs tests account for another 24
>>> minutes of test time and they offer minimal value for quite a
>>> similar reason as the previous step.
>>>
>>> Let's introduce and use a mechanism to skip these tests to save
>>> some resources.
>>>
>>> Suggested-by: Phillip Wood <[email-masked]>
>>
>> Nitpick: Using the commit ident
>>
>>      Phillip Wood <[email-masked]>
>>
>> might be slightly better?
> 
> I didn't even realize there are multiple addresses in play,
> actually.  I just took it from the e-mail header's Cc: field,
> which my MUA copied from From: field of the message I was responding
> to, which was the identity of the person who suggested the change
> after all ;-).

The dunelm address is a forwarding address that should keep working if I 
change my email provider. I keep meaning send a patch with a mailmap 
entry but never get round to actually doing it.

Thanks

Phillip